Optional: acting as Reseller

If you are registering a 10DLC campaign on behalf of third parties (e.g., your clients), you are required to also include your own contact information as part of the registration process. You can do so by including a resellerId in your POST campaign calls

circle-info

The Reseller ID is a unique value to be shared by all workspaces, all brands, and all campaigns created under your Organization.

  • If you operate as a reseller you only need to obtain a reseller UUID once and reuse it in all your requests

  • If you intend to register one or more brands (for example multiple branches of your company) for your internal use you can NULL the field

You can create and manage your Reseller information via the UI when creating a campaign

you can retrieve information via the following method

circle-exclamation

List resellers in a workspace

get
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

Query parameters
limitinteger · max: 100Optional

Limits the number of results to return.

Default: 25
pageTokenstringOptional

The cursor that keeps track of the current position in the results.

reversebooleanOptional

Reverses the order in which the results are returned.

Default: false
Responses
chevron-right
200

OK

application/json
nextPageTokenstringOptional

The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.

get
/workspaces/{workspaceId}/tcr-resellers
200

OK

Last updated

Was this helpful?